Subject: RE: [Isis-wg] Re: draft-ietf-zinin-flood-opt-01.txt

From: Riad Hartani <[email-masked]>
Date: Wed, 11 Oct 2000 19:02:18 -0700

I would support Alex's idea to create an OSPF/ISIS design group working on
this problem. Reducing flooding in Link State Protocols under failure
conditions is certainly a very interesting and useful problem to work on.
Obviously, one of the key problems would be to remain backward compatible.

There have been some attempts in the past within the ATM F to discuss some
techniques to analyze/reduce flooding in PNNI (e.g. ATMF 00-0249 for problem
statement). Nothing specified though. Some research has been going on as
well in terms of OSPF/ISIS flooding reduction with proposals ranging from
the use of broadcast servers to increased hierarchy/partitioning to
preemptive acknowledgment of updates, etc. Nothing concrete at this stage. 

Riad

> -----Original Message-----
> From: Alex Zinin [mailto:[email-masked]]
> Sent: Wednesday, October 11, 2000 5:44 PM
> To: Tony Li
> Cc: Jim Boyle; [email-masked]; 'ISISWG'
> Subject: Re: [Isis-wg] Re: draft-ietf-zinin-flood-opt-01.txt
> 
> 
> 
> Tony:
> 
> >  | We could discuss this, actually, with the first question being
> >  | "do we really need this" ? ;)
> 
> > IM(ns)HO, we are in dire need of a replacement flooding 
> algorithm that
> > scales much more nicely.
> 
> I don't really like that "replacement" word ;), but I agree we
> may need to modify the algo in some places...
> 
> > It needs to adapt to the topology as end-users cannot be expected to
> > provide us with additional configuration information about 
> their topology.
> 
> Agree.
> 
> > It needs to be robust in the case of failure, not causing massive
> > pertubations of the flooding path on a single link failure.
> 
> Agree.
> 
> > It needs to restrict the amount of flooding that any single 
> node needs to
> > do.
> 
> Not sure what you mean here...
> 
> > Currently, my best guess is that a redundant spanning tree 
> is the best
> > known direction.
> 
> If there are enough interested parties, we could create
> a design group made of ISIS and OSPF guys and consider
> possible options.
> 
> 
> Alex.
> 
> 
> 
> _______________________________________________
> Isis-wg mailing list  -  [email-masked]
> http://external.juniper.net/mailman/listinfo/isis-wg
> 

_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg